error compiling with msexport_wrap.cxx

2007-02-08 09:30 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10638

Description

Hi, I am on Ubuntu Feisty Fawn (all updates shining and running)

I'm trying to compile QGIS from SVN:6551.

At the end of the make process I get this error

[ 99%] Building CXX object tools/mapserver_export/CMakeFiles/msexport.dir/msexport_wrap.o

/home/steko/src/qgis_unstable/tools/mapserver_export/msexport_wrap.cxx: In function ‘int SWIG_Python_ConvertPtr(PyObject*,

void**, swig_type_info*, int)’:

/home/steko/src/qgis_unstable/tools/mapserver_export/msexport_wrap.cxx:1180: error: invalid conversion from ‘const char*’ to

‘char*’

/home/steko/src/qgis_unstable/tools/mapserver_export/msexport_wrap.cxx: In function ‘void

SWIG_Python_FixMethods(PyMethodDef*, swig_const_info*, swig_type_info**, swig_type_info**)’:

/home/steko/src/qgis_unstable/tools/mapserver_export/msexport_wrap.cxx:2071: error: invalid conversion from ‘const char*’ to

‘char*’

/home/steko/src/qgis_unstable/tools/mapserver_export/msexport_wrap.cxx: At global scope:

/home/steko/src/qgis_unstable/tools/mapserver_export/msexport_wrap.cxx:231: warning: ‘swig_type_info*

SWIG_TypeDynamicCast(swig_type_info*, void**)’ defined but not used

/home/steko/src/qgis_unstable/tools/mapserver_export/msexport_wrap.cxx:419: warning: ‘const char*

SWIG_UnpackDataName(const char*, void*, size_t, const char*)’ defined but not used

/home/steko/src/qgis_unstable/tools/mapserver_export/msexport_wrap.cxx:483: warning: ‘swig_type_info*

SWIG_TypeQuery(const char*)’ defined but not used

/home/steko/src/qgis_unstable/tools/mapserver_export/msexport_wrap.cxx:499: warning: ‘void

SWIG_PropagateClientData(swig_type_info*)’ defined but not used

/home/steko/src/qgis_unstable/tools/mapserver_export/msexport_wrap.cxx:1202: warning: ‘void*

SWIG_Python_MustGetPtr(PyObject*, swig_type_info*, int, int)’ defined but not used

/home/steko/src/qgis_unstable/tools/mapserver_export/msexport_wrap.cxx:1216: warning: ‘int

SWIG_Python_ConvertPacked(PyObject*, void*, size_t, swig_type_info*, int)’ defined but not used

/home/steko/src/qgis_unstable/tools/mapserver_export/msexport_wrap.cxx:1389: warning: ‘int SWIG_CheckLongInRange(long

int, long int, long int, const char*)’ defined but not used

/home/steko/src/qgis_unstable/tools/mapserver_export/msexport_wrap.cxx:2002: warning: ‘void

SWIG_Python_addvarlink(PyObject*, char*, [[PyObject]]* (*)(), int (*)(PyObject*))’ defined but not used

maker2: *** [tools/mapserver_export/CMakeFiles/msexport.dir/msexport_wrap.o] Error 1

maker1: *** [tools/mapserver_export/CMakeFiles/msexport.dir/all] Error 2

make: *** [all] Error 2
History

#1 - 2007-02-08 09:47 AM - Redmine Admin

forgot to say that I asked for help on IRC: http://logs.qgis.org/slogs/%23qgis.2007-02-06.log around 09:30:49. There you can find some clue, perhaps.

#2 - 2007-02-24 05:24 AM - Redmine Admin

Does that mean that I won't be able at all to compile from SVN on my machine?

#3 - 2007-02-26 09:18 AM - anonymous -

You can try to disable bindings for now. Set teh WITH_BINDINGS option to OFF in cmakesetup

#4 - 2007-02-26 09:22 AM - anonymous -

Ah sorry those are swig errors not sip so the bindings option os probably not the one we need. Please ignore last post. Gary Sherman is probably the best

person to ask about this.

#5 - 2007-02-26 11:47 AM - Magnus Homann

This is pyhton 2.5/ vs 2.4 error. Appeared for me when I switched to 2.5

Change lines 1177 and 2068 in <trunk_qgis>tools/mapserver_export/msexport_wrap.cxx

from '#ifdef WIN32' to '#if 1'.

gsherman, time to re-generate the wrapper file??

#6 - 2007-02-27 12:48 AM - Redmine Admin

Works for me. Thanks. Now I'm another happy QGIS SVN user

#7 - 2007-04-01 11:07 AM - anonymous -

- Status changed from Open to Closed

- Resolution set to fixed

#8 - 2009-08-22 12:45 AM - Anonymous

Milestone Version 0.9 deleted

Files

CMakeCache.txt 36.5 KB 2007-02-08 Redmine Admin
